
Smart Proxy - Bug #2174

Wrong log settings should have the proxy terminate on startup

02/03/2013 12:25 PM - Dennis Jacobfeuerborn

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When specifying "STDOUT" which is mentioned as a possibility in the settings file the proxy starts fine but apparently all calls to it

from the web UI result in a 500 internal server error.

The proxy should fail to start up in such a case with an appropriate error so this can be caught easier as the 500 errors are not easy

to correlate to the log settings of the proxy.

Related issues:

Related to Smart Proxy - Refactor #11323: Refactor PID writing, interrupt tra... Closed 08/11/2015

Has duplicate Smart Proxy - Bug #2173: "500 internal error" when proxy log fi... Closed 02/03/2013

History

#1 - 07/13/2015 11:40 AM - Byron Miller

- Description updated

Good Morning,

I'm running through the backlog of ticket and trying to triage and see if issues are still active or if you were able to resolve this issue.  Was this running

in Fedora by any chance and are you still experiencing this problem on foreman 1.8.x?

#2 - 05/11/2016 10:36 AM - Anonymous

- Related to Refactor #11323: Refactor PID writing, interrupt trap and daemon logging added

#3 - 05/11/2016 10:37 AM - Anonymous

- Status changed from New to Resolved

Appropriate checks for "STDOUT" logger have been added.
